Subject: Re: [PATCH 0/7] RFC: Accelerate xdiff and begin its rustification

From: Junio C Hamano <[email-masked]>
Date: Tue, 22 Jul 2025 08:56:04 -0700

Patrick Steinhardt <[email-masked]> writes:

> Fully agreed. I've said so at the last contributors summit, but I think
> it would become awfully unmaintainable if we retain two implementations
> of every subsystem that we convert to Rust. If we decide to use Rust I
> would strongly advocate for going all-in.

True.  

We do not have subsystems with clear boundaries yet, and introducing
Rust in such a state would not allow us to pick some parts (e.g.
merge backends, etc.) and do them optionally in Rust, while keeping
and/or adding others in C.